FontSet (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks

## Interface FontSet

-     public interface FontSet

  Returns the Fonts used by a Look&Feel or theme. These Fonts must implement the UIResource marker interface.
  Since:
    2.0
  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FontUIResource` | `getControlFont()` Returns the font used for all dialog components.
    `FontUIResource` | `getMenuFont()` Returns the font used for the menu.
    `FontUIResource` | `getMessageFont()` Returns the font used for message dialogs.
    `FontUIResource` | `getSmallFont()` Returns the font used for tool tips.
    `FontUIResource` | `getTitleFont()` Returns the font used for the title label in TitledBorders.
    `FontUIResource` | `getWindowTitleFont()` Returns the font used for internal frame titles.

- - ### Method Detail

    - #### getControlFont

          FontUIResource getControlFont()

      Returns the font used for all dialog components.
      Returns:
        the font used for all dialog components.

    - #### getMenuFont

          FontUIResource getMenuFont()

      Returns the font used for the menu.
      Returns:
        the font used for the menu.

    - #### getTitleFont

          FontUIResource getTitleFont()

      Returns the font used for the title label in TitledBorders. This font is also used by JGoodies Forms titles, and titled separators.
      Returns:
        the font used for TitledBorder titles.

    - #### getWindowTitleFont

          FontUIResource getWindowTitleFont()

      Returns the font used for internal frame titles.
      Returns:
        the font used for internal frame titles.

    - #### getSmallFont

          FontUIResource getSmallFont()

      Returns the font used for tool tips.
      Returns:
        the tool tip font.

    - #### getMessageFont

          FontUIResource getMessageFont()

      Returns the font used for message dialogs.
      Returns:
        the font used for message dialogs.

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.